[supervisord]
nodaemon=true
logfile=/dev/null
loglevel=error
stdout_logfile_maxbytes = 0
stderr_logfile_maxbytes = 0

[program:hottub]
command=bash /app/supervisord/hottub.sh
autostart=true
autorestart=true
stdout_logfile=/dev/stdout
stderr_logfile=/dev/stderr
directory=/app
stdout_logfile_maxbytes = 0
stderr_logfile_maxbytes = 0

[program:vnc]
command=bash -c '[ "$PROXY" = "1" ] && exec /dockerstartup/vnc_startup.sh --wait || echo "Skipping vnc (PROXY != 1)"'
autostart=true
autorestart=false
stdout_logfile=/dev/stdout
stderr_logfile=/dev/stderr
stdout_logfile_maxbytes = 0
stderr_logfile_maxbytes = 0

[program:burpsuite]
command=bash -c '[ "$PROXY" = "1" ] && exec /app/supervisord/burpsuite.sh || echo "Skipping burpsuite (PROXY != 1)"'
autostart=true
autorestart=false
stdout_logfile=/dev/stdout
stderr_logfile=/dev/stderr
stdout_logfile_maxbytes = 0
stderr_logfile_maxbytes = 0
